Skip to main content
POST
/
worlds
/
search
Search triples in the default namespace collection
curl --request POST \
  --url https://api.wazoo.dev/worlds/search \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "query": "<string>",
  "sources": [
    "<string>"
  ],
  "namespace": "<string>",
  "limit": 2,
  "subjects": [
    "<string>"
  ],
  "predicates": [
    "<string>"
  ],
  "types": [
    "<string>"
  ]
}
'
[
  {
    "subject": "<string>",
    "predicate": "<string>",
    "object": "<string>",
    "vecRank": 123,
    "ftsRank": 123,
    "score": 123,
    "world": {
      "slug": "<string>",
      "createdAt": 123,
      "updatedAt": 123,
      "namespace": "<string>",
      "label": "<string>",
      "description": "<string>",
      "deletedAt": 123
    }
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
query
string
required
sources
string · object · object[]

Target world: a qualified string (namespace/slug), { slug, namespace? }, or { name } (same qualified form as name).

namespace
string
limit
integer
Required range: x >= 1
subjects
string[]
predicates
string[]
types
string[]

Response

Ranked triple hits

subject
string
required
predicate
string
required
object
string
required
vecRank
number | null
required
ftsRank
number | null
required
score
number
required
world
object
required